%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

# mklibname should handle the special cases of library naming
%define major 6
%define libx11 %mklibname x11_ %{major}
%define develname %mklibname -d x11

%define xcbmajor 1
%define libxcb %mklibname x11-xcb %{xcbmajor}

Name: libx11
Summary: X Library
Version: 1.6.5
Release: %mkrel 1
Group: System/Libraries
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libX11-%{version}.tar.bz2
Obsoletes: libxorg-x11
Provides: libxorg-x11
Patch0: libX11-1.3.5-fix-null-pointer.patch
Patch1: libx11-fix-segfault.diff
# (tv) fix bug #7797 (lack of support for mn_MN locale):
Patch2: libx11-add_mn_locale.diff
BuildRequires: x11-util-macros		>= 1.1.5
BuildRequires: x11-xtrans-devel		>= 1.0.4
BuildRequires: libxdmcp-devel		>= 1.0.2
BuildRequires: libxau-devel		>= 1.0.3
BuildRequires: x11-proto-devel		>= 7.3
BuildRequires: xcb-devel
%if !%{bootstrap}
BuildRequires: groff			> 1.19.1
BuildRequires: xmlto
%endif
BuildRequires: x11-sgml-doctools
BuildRequires: docbook-style-xsl

# because of %%{_datadir/X11} being owned by x11-server-common
Requires(pre): x11-server-common >= 1.4.0.90-13mdv

%description
%{name} contains the shared libraries that most X programs
need to run properly. These shared libraries are in a separate package in
order to reduce the disk space needed to run X applications on a machine
without an X server (i.e, over a network).

#-----------------------------------------------------------

%package -n %{libx11}
Summary: X Library
Group: Development/X11
Provides: %{name} = %{version}
Requires(post): grep
Requires(postun): grep coreutils

%description -n %{libx11}
%{name} contains the shared libraries that most X programs
need to run properly. These shared libraries are in a separate package in
order to reduce the disk space needed to run X applications on a machine
without an X server (i.e, over a network).

%files -n %{libx11}
%{_libdir}/libX11.so.%{major}
%{_libdir}/libX11.so.%{major}.*

%post -n %{libx11}
if  grep -q "^%{_prefix}/X11R6/lib$" /etc/ld.so.conf; then
    grep -v "^%{_prefix}/X11R6/lib$" /etc/ld.so.conf > /etc/ld.so.conf.new
    mv -f /etc/ld.so.conf.new /etc/ld.so.conf
    /sbin/ldconfig
fi

%postun -n %{libx11}
if [ "$1" = "0" \
   -a "`grep "^%{_prefix}/X11R6/lib$" /etc/ld.so.conf`" != "" ]; then
    grep -v "^%{_prefix}/X11R6/lib$" /etc/ld.so.conf > /etc/ld.so.conf.new
    mv -f /etc/ld.so.conf.new /etc/ld.so.conf
    /sbin/ldconfig
fi

#-----------------------------------------------------------

%package -n %{libxcb}
Summary: X Library
Group: Development/X11
Provides: %{name}-xcb = %{version}
Conflicts: %{_lib}x11_6 < 1.6.1-2

%description -n %{libxcb}
%{name}-xcb contains the shared libraries that most X programs
need to run properly. These shared libraries are in a separate package in
order to reduce the disk space needed to run X applications on a machine
without an X server (i.e, over a network).

%files -n %{libxcb}
%{_libdir}/libX11-xcb.so.%{xcbmajor}
%{_libdir}/libX11-xcb.so.%{xcbmajor}.*

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libx11} = %{version}-%{release}
Requires: %{libxcb} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: %{name}-xcb-devel = %{version}-%{release}
Obsoletes: %{_lib}x11_6-devel < 1.5.99.902-2
Obsoletes: %{_lib}x11-static-devel < 1.6.1-2

%description -n %{develname}
%{name} includes the libraries and header files you'll need to develop
programs which run in X clients. X11 includes the base Xlib library as
well as the Xt and Xaw widget sets.

Install %{name} if you are going to develop programs which
will run as X clients.

%files -n %{develname}
%{_mandir}/man3/*.3.*
%{_libdir}/libX11.so
%{_libdir}/pkgconfig/x11.pc
%{_includedir}/X11/cursorfont.h
%{_includedir}/X11/ImUtil.h
%{_includedir}/X11/Xlocale.h
%{_includedir}/X11/Xcms.h
%{_includedir}/X11/Xlibint.h
%{_includedir}/X11/Xlib.h
%{_includedir}/X11/Xresource.h
%{_includedir}/X11/Xregion.h
%{_includedir}/X11/Xutil.h
%{_includedir}/X11/XlibConf.h
%{_includedir}/X11/XKBlib.h
%{_libdir}/libX11-xcb.so
%{_libdir}/pkgconfig/x11-xcb.pc
%{_includedir}/X11/Xlib-xcb.h
%{_mandir}/man5/*.5*

#-----------------------------------------------------------

%package common
Summary: Common files used by the X.org
Group: System/X11

%description common
Common files used by the X.org

%files common
%dir %{_datadir}/X11/locale
%{_datadir}/X11/locale/*
%{_datadir}/X11/Xcms.txt
%{_datadir}/X11/XErrorDB

#-----------------------------------------------------------

%package doc
Summary: Documentation for %{name}
Group: Documentation
BuildArch: noarch
Conflicts: libx11-devel < 1.4.99.1-3.mga2

%description doc
This package includes the documentation for the base Xlib library.

For guidance on programming with these libraries, O'Reilly & Associates
produces a series on X programming which you might find useful.

%files doc
%dir %{_docdir}/libX11
%{_docdir}/libX11/*

#-----------------------------------------------------------

%prep
%setup -q -n libX11-%{version}
%autopatch -p1

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete


%changelog
* Wed Mar 01 2017 tv <tv> 1.6.5-1.mga6
+ Revision: 1088315
- new release

* Wed Oct 05 2016 luigiwalser <luigiwalser> 1.6.4-1.mga6
+ Revision: 1059056
- remove upstream patches

  + tv <tv>
    - new release

* Fri Feb 12 2016 umeabot <umeabot> 1.6.3-3.mga6
+ Revision: 956010
- Mageia 6 Mass Rebuild

* Wed Sep 23 2015 luigiwalser <luigiwalser> 1.6.3-2.mga6
+ Revision: 882438
- add upstream patches to fix number wrapping bug (mga#13815)

* Sun Jun 21 2015 tv <tv> 1.6.3-1.mga6
+ Revision: 837519
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.6.2-5.mga5
+ Revision: 743526
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.2-4.mga5
+ Revision: 681863
- Mageia 5 Mass Rebuild

* Thu Feb 06 2014 tv <tv> 1.6.2-3.mga5
+ Revision: 584345
- rebuild for new proto

* Sat Oct 19 2013 umeabot <umeabot> 1.6.2-2.mga4
+ Revision: 534458
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 tv <tv> 1.6.2-1.mga4
+ Revision: 477896
- new release

* Thu Aug 22 2013 wally <wally> 1.6.1-2.mga4
+ Revision: 469502
- drop unneeded requires
- split out xcb lib
- drop old Mdv era conflicts
- drop static devel pkg

* Sun Aug 18 2013 fwang <fwang> 1.6.1-1.mga4
+ Revision: 467465
- new version 1.6.1

* Mon Jun 10 2013 tv <tv> 1.6.0-2.mga4
+ Revision: 441807
- patch 3: add support for mn_MN locale (mga#7797)

* Tue Jun 04 2013 tv <tv> 1.6.0-1.mga4
+ Revision: 437048
- new release

* Mon Jun 03 2013 fwang <fwang> 1.5.99.902-2.mga4
+ Revision: 435608
- update with correct libpolciy

* Fri May 24 2013 tv <tv> 1.5.99.902-1.mga4
+ Revision: 425955
- CVE release

* Thu May 23 2013 tv <tv> 1.5.99.901-1.mga4
+ Revision: 425507
- adjust file list
- new release

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.5.0-4.mga3
+ Revision: 397145
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.5.0-3.mga3
+ Revision: 358497
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 ennael <ennael> 1.5.0-2.mga3
+ Revision: 305455
- Documentation group

* Wed Jun 06 2012 tv <tv> 1.5.0-1.mga3
+ Revision: 256262
- new release

* Fri Apr 13 2012 rtp <rtp> 1.4.99.1-4.mga2
+ Revision: 230677
- Rewrite workaround for libx11 Xrm segfault as it was breaking non
  threaded X applications (in this case, the mutex is _always_ null)

* Wed Apr 11 2012 blino <blino> 1.4.99.1-3.mga2
+ Revision: 230207
- split doc out of devel package so that i586 and x86_64 devel packages can be installed together

  + tv <tv>
    - workaround a crash in gnome-control-center (#314)

* Tue Jan 31 2012 tv <tv> 1.4.99.1-1.mga2
+ Revision: 203736
- new release

* Mon Nov 21 2011 fwang <fwang> 1.4.4-2.mga2
+ Revision: 170273
- add br
- drop .la files

  + tv <tv>
    - new release

* Tue Apr 12 2011 tv <tv> 1.4.3-1.mga1
+ Revision: 83559
- new release

* Thu Mar 24 2011 boklm <boklm> 1.4.2-3.mga1
+ Revision: 76186
- rebuild for bug #497

* Wed Mar 23 2011 boklm <boklm> 1.4.2-2.mga1
+ Revision: 76103
- rebuild for #497

* Tue Mar 22 2011 tv <tv> 1.4.2-1.mga1
+ Revision: 75576
- new release

* Fri Feb 18 2011 tv <tv> 1.4.1-1.mga1
+ Revision: 53920
- no %% in comments
- new release

  + rtp <rtp>
    - Allow to break some circular BR (libx11->groff->gs->libx11, libx11->xmlto->tetex(xmltex)->libx11)

* Tue Jan 11 2011 dmorgan <dmorgan> 1.4.0-2.mga1
+ Revision: 6282
- imported package libx11

